using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace LinqSqlEpisodeVIProVid
{
    public partial class NorthwindDataContext
    {
        [Function(Name="VariableShapeSample")]
        [ResultType(typeof(Product))]
        [ResultType(typeof(Order))]
        public IMultipleResults VariableShapeSample(System.Nullable<int> shape)
        {
            IExecuteResult result = this.ExecuteMethodCall(this,
                ((MethodInfo)(MethodInfo.GetCurrentMethod())),
                shape
                );
            return (IMultipleResults)result.ReturnValue;
        }
    }
}
